Bug 90338 - (TUX)password incorrectly parsed + patch to fix the problem
(TUX)password incorrectly parsed + patch to fix the problem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 91213 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-05-07 00:55 EDT by LaMont Jones
Modified: 2015-01-04 17:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-05 14:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description LaMont Jones 2003-05-07 00:55:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030430 Galeon/1.3.4

Description of problem:
anon-ftp passwords that should work result in 'unknown command' errors.

Specifically, 15 char passwords fail, while 14 char passwords succeed.

Looking at the source, it appears that it should be using MAX_PASS_LEN, not

Version-Release number of selected component (if applicable):
kernel 2.4.20-9

How reproducible:

Steps to Reproduce:
1.ftp to a tux-ftp server
2.use an anon-ftp password over 14 characters in length
3.note the failure...

Actual Results:  login failed

Expected Results:  should have succeeded

Additional info:

This patch should fix the issue.
--- proto_ftp.c.orig    Mon May  5 22:57:35 2003
+++ proto_ftp.c Mon May  5 22:57:59 2003
@@ -354,7 +354,7 @@
                        unsigned int pass_len;
                        PARSE_FTP_COMM_1_FIELD('P','A','S','S', PASS,
                                pass, &pass_len,
-                               MAX_USERNAME_LEN-1);
+                               MAX_PASS_LEN-1);
                        if (!pass_len)
Comment 1 Michael K. Johnson 2003-05-09 15:41:13 EDT
This part of TUX is all in the kernel, reassigning
Comment 2 Alan Cox 2003-06-09 10:34:26 EDT
*** Bug 91213 has been marked as a duplicate of this bug. ***
Comment 3 Ingo Molnar 2003-07-05 03:53:51 EDT
good catch - patch added.

Note You need to log in before you can comment on or make changes to this bug.